Skip to main content
GET
/
v2
/
policies
List policies
curl --request GET \
  --url https://api.orq.ai/v2/policies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by_id": "<string>",
      "display_name": "<string>",
      "enabled": true,
      "project_id": "<string>",
      "slug": "<string>",
      "timeout": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by_id": "<string>",
      "description": "<string>",
      "evaluators": [
        {
          "execute_on": "<string>",
          "id": "<string>",
          "is_guardrail": true,
          "sample_rate": 123
        }
      ],
      "limits": {
        "budget": {
          "amount": 123,
          "currency": "<string>",
          "period": "<string>"
        },
        "requests": {
          "amount": 123,
          "period": "<string>"
        },
        "tokens": {
          "amount": 123,
          "period": "<string>"
        }
      },
      "models_config": {
        "mode": "<string>",
        "models": [
          {
            "model": "<string>",
            "integration_id": "<string>",
            "weight": 123
          }
        ]
      },
      "retry_config": {
        "count": 123,
        "on_codes": [
          123
        ]
      }
    }
  ],
  "has_more": true,
  "object": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>
default:10
Required range: 1 <= x <= 200
starting_after
string

A cursor for use in pagination.

ending_before
string

A cursor for use in pagination.

Response

200 - application/json

Policies retrieved successfully

data
object[] | null
required
has_more
boolean
required
object
string
required